--- PATCHES.orig	Wed Mar 19 21:07:06 2008
+++ PATCHES	Thu Mar 15 15:17:09 2012
@@ -0,0 +1 @@
+patch-1.5.21.aw.listreply.1
--- init.h.orig	Wed Sep 15 17:39:31 2010
+++ init.h	Thu Mar 15 15:19:15 2012
@@ -1329,6 +1329,13 @@
   ** The locale used by \fCstrftime(3)\fP to format dates. Legal values are
   ** the strings your system accepts for the locale environment variable \fC$$$LC_TIME\fP.
   */
+  { "list_reply",	DT_QUAD, R_NONE, OPT_LISTREPLY, M_NO },
+  /*
+  ** .pp
+  ** When set, address replies to the mailing list the original message came
+  ** from (instead of author only).  Setting this option to ``ask-yes'' or
+  ** ``ask-no'' will ask if you really intended to reply to the author only.
+  */
   { "mail_check",	DT_NUM,  R_NONE, UL &BuffyTimeout, 5 },
   /*
   ** .pp
--- mutt.h.orig	Mon Sep 13 19:19:55 2010
+++ mutt.h	Thu Mar 15 15:16:52 2012
@@ -285,6 +285,7 @@
 #endif
   OPT_SUBJECT,
   OPT_VERIFYSIG,      /* verify PGP signatures */
+  OPT_LISTREPLY,
     
   /* THIS MUST BE THE LAST VALUE. */
   OPT_MAX
--- send.c.orig	Mon Sep 13 19:19:55 2010
+++ send.c	Thu Mar 15 15:16:53 2012
@@ -453,6 +453,7 @@
 static int default_to (ADDRESS **to, ENVELOPE *env, int flags, int hmfupto)
 {
   char prompt[STRING];
+  ADDRESS *tmp;
 
   if (flags && env->mail_followup_to && hmfupto == M_YES) 
   {
@@ -465,6 +466,23 @@
    */
   if (flags & SENDLISTREPLY)
     return 0;
+
+  /* If this message came from a mailing list, ask the user if he really
+   * intended to reply to the author only.
+   */
+  if (!(flags & SENDGROUPREPLY) && mutt_is_list_cc (0, env->to, env->cc)) {
+    switch (query_quadoption (OPT_LISTREPLY,
+            _("Message came from a mailing list. Reply to author only?")))
+    {
+    case M_NO:
+      tmp = find_mailing_lists (env->to, env->cc);
+      rfc822_append (to, tmp);
+      rfc822_free_address (&tmp);
+      return 0;
+    case -1:
+      return -1; /* abort */
+    }
+  }
 
   if (!option(OPTREPLYSELF) && mutt_addr_is_user (env->from))
   {
